Holger's Java API

## com.antelmann.util.logging
Class BinaryLogFormatter

    java.lang.Object
      com.antelmann.util.logging.BinaryLogFormatter

All Implemented Interfaces:
  LogEntryFormatter<byte[]>

    public class BinaryLogFormatter

extends Object
implements LogEntryFormatter<byte[]>

formats the LogEntry as a serialized byte array.

Author:
  Holger Antelmann
See Also:
  `Data.deserialize(byte[])`

Constructor Summary
`BinaryLogFormatter()`

Method Summary
`byte[]` `formatLogEntry(LogEntry entry)` If a particular parameter turns out to not be serializable, the toString() result of that parameter is serialized with the entry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BinaryLogFormatter

    public BinaryLogFormatter()

Method Detail

### formatLogEntry

    public byte[] formatLogEntry(LogEntry entry)

  If a particular parameter turns out to not be serializable, the toString() result of that parameter is serialized with the entry.

  Specified by:
    `formatLogEntry` in interface `LogEntryFormatter<byte[]>`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads